Bug 24176 - Show the date of the last circulation in the items table in the staff interface
Summary: Show the date of the last circulation in the items table in the staff interface
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on: 15668
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-04 22:48 UTC by Lucas Gass
Modified: 2021-01-08 15:18 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 24176: add datelastborrowed column (1.94 KB, patch)
2019-12-04 23:31 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24176: add datelastborrowed column (1.99 KB, patch)
2020-01-03 20:49 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 24176: add datelastborrowed column (2.08 KB, patch)
2020-02-14 17:29 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24176: Add datalastseen column to holdings table (3.34 KB, patch)
2020-08-02 16:55 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24176: Add datalastseen column to holdings table (3.41 KB, patch)
2020-08-03 10:33 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24176: Add datalastseen column to holdings table (3.47 KB, patch)
2020-08-10 20:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2019-12-04 22:48:16 UTC
Some librarians would find it hand if datelastborrowed would show in the holdings_table as a configurable column.
Comment 1 Lucas Gass 2019-12-04 23:31:09 UTC
Created attachment 96001 [details] [review]
Bug 24176: add datelastborrowed column

TEST PLAN:
1. Find an item with a datelastborrowed 
2. Go to the details page on the staff client and look at the holdings table, no date last borrowed.
3. Apply patch
4. See the datelastborrowed column
Comment 2 Maryse Simard 2020-01-03 20:49:22 UTC
Created attachment 96803 [details] [review]
Bug 24176: add datelastborrowed column

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 ByWater Sandboxes 2020-02-14 17:29:36 UTC
Created attachment 98984 [details] [review]
Bug 24176: add datelastborrowed column

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Jessica Zairo <jzairo@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-03-10 12:06:49 UTC
1. It's not configurable, as you advertised in comment 0
2. The class is wrong (- vs =):
+                <th class-"title-string">Date last borrowed</th>
Comment 5 Lucas Gass 2020-03-16 17:56:54 UTC
Yes, I will redo this patch once/if bz15668 makes it into master
Comment 6 Lucas Gass 2020-08-02 16:55:05 UTC
Created attachment 107663 [details] [review]
Bug 24176: Add datalastseen column to holdings table

This patch adds the datelastseen column to the holdings table and also makes it column configurable.
To Test:
-Apply patch and have a look at some item records.
-Notice the datalastseen column
-Make sure it wroks and its displaying the datelastseen correctly
-Go to the column configuration tools and make sure you can properly hide this column.
Comment 7 ByWater Sandboxes 2020-08-03 10:33:11 UTC
Created attachment 107695 [details] [review]
Bug 24176: Add datalastseen column to holdings table

This patch adds the datelastseen column to the holdings table and also makes it column configurable.
To Test:
-Apply patch and have a look at some item records.
-Notice the datalastseen column
-Make sure it wroks and its displaying the datelastseen correctly
-Go to the column configuration tools and make sure you can properly hide this column.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 8 Katrin Fischer 2020-08-10 20:46:37 UTC
Created attachment 108019 [details] [review]
Bug 24176: Add datalastseen column to holdings table

This patch adds the datelastseen column to the holdings table and also makes it column configurable.
To Test:
-Apply patch and have a look at some item records.
-Notice the datalastseen column
-Make sure it wroks and its displaying the datelastseen correctly
-Go to the column configuration tools and make sure you can properly hide this column.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Jonathan Druart 2020-08-13 05:57:11 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 10 Lucas Gass 2020-08-17 15:28:00 UTC
enhancement will not be backported to 20.05.x